testing::internal::EqHelper< lhs_is_null_literal > Class Template Reference

`#include <gtest.h>`

## Static Public Member Functions

template<typename T1 , typename T2 >
static AssertionResult | Compare (const char *lhs_expression, const char *rhs_expression, const T1 &lhs, const T2 &rhs)
static AssertionResult | Compare (const char *lhs_expression, const char *rhs_expression, BiggestInt lhs, BiggestInt rhs)

## Detailed Description

### template<bool lhs_is_null_literal>
class testing::internal::EqHelper< lhs_is_null_literal >

Definition at line 16135 of file gtest.h.

## Member Function Documentation

## Compare() [1/2]

template<bool lhs_is_null_literal>
template<typename T1 , typename T2 >

static AssertionResult testing::internal::EqHelper< lhs_is_null_literal >::Compare | ( | const char * | lhs_expression,
|  | const char * | rhs_expression,
|  | const T1 & | lhs,
|  | const T2 & | rhs
| ) |  |

inlinestatic

Definition at line 16139 of file gtest.h.

## Compare() [2/2]

template<bool lhs_is_null_literal>

static AssertionResult testing::internal::EqHelper< lhs_is_null_literal >::Compare | ( | const char * | lhs_expression,
|  | const char * | rhs_expression,
|  | BiggestInt | lhs,
|  | BiggestInt | rhs
| ) |  |

inlinestatic

Definition at line 16152 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h